syntax = "proto3";

package snowflake;
option go_package = "./snowflake";

service SnowflakeService {
  rpc NextId(NextIdReq) returns (NextIdResp);
  rpc NextIds(NextIdsReq) returns (NextIdsResp);
}

message NextIdReq {}

message NextIdResp {
  int64 id = 1;
}

message NextIdsReq {
  int32 count = 1;
}

message NextIdsResp {
  repeated int64 ids = 1;
}
